Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.api.domain
Class ErrorMessage<T>

    java.lang.Object
      be.ehealth.businessconnector.ehbox.api.domain.Message<T>
          be.ehealth.businessconnector.ehbox.api.domain.ErrorMessage<T>

Type Parameters:
  `T` - parametrized to contain the JAXB message , which depends on the version of ehbox.

All Implemented Interfaces:
  Serializable

    public class ErrorMessage<T>

extends Message<T>

contains the extra information of an error message. Extends : `Message`

See Also:
  Serialized Form

Constructor Summary
`ErrorMessage()`

Method Summary
`String` | `getErrorCode()`
`List<String>` | `getErrorMsg()`
`String` | `getErrorPublicationId()`
`String` | `getTitle()`
`void` | `setErrorCode(String errorCode)`
`void` | `setErrorPublicationId(String errorPublicationId)`
`void` | `setTitle(String title)`
`String` | `toString()`

Methods inherited from class be.ehealth.businessconnector.ehbox.api.domain.Message
`generatePublicationId, getCustomMetas, getDestinations, getExpirationDate, getExpirationDateTime, getId, getMandatee, getOriginal, getPublicationDate, getPublicationDateTime, getPublicationId, getSender, getSize, isEncrypted, isHasAnnex, isHasFreeInformations, isImportant, isUsePublicationReceipt, isUseReadReceipt, isUseReceivedReceipt, setDestinations, setEncrypted, setExpirationDate, setExpirationDateTime, setHasAnnex, setHasFreeInformations, setId, setImportant, setMandatee, setOriginal, setPublicationDate, setPublicationDateTime, setPublicationId, setSender, setSize, setUsePublicationReceipt, setUseReadReceipt, setUseReceivedReceipt`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ErrorMessage

    public ErrorMessage()

Method Detail

### setTitle

    public void setTitle(String title)

  Parameters:
    `title` - the title to set

### getTitle

    public String getTitle()

  Returns:
    the title

### getErrorMsg

    public List<String> getErrorMsg()

  Returns:
    the errorMsg

### setErrorCode

    public void setErrorCode(String errorCode)

  Parameters:
    `errorCode` - the errorCode to set

### getErrorCode

    public String getErrorCode()

  Returns:
    the errorCode

### setErrorPublicationId

    public void setErrorPublicationId(String errorPublicationId)

  Parameters:
    `errorPublicationId` - the errorPublicationId to set

### getErrorPublicationId

    public String getErrorPublicationId()

  Returns:
    the errorPublicationId

### toString

    public String toString()

  Overrides:
    `toString` in class `Message<T>`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.